%{?!prefix:%define prefix /usr}

Summary: libmcrypt is a data encryption library.
Name: libmcrypt
Version: 2.4.11
Release: 2
Copyright: LGPL
Source: ftp://mcrypt.hellug.gr/pub/mcrypt/libmcrypt/libmcrypt-2.4.11.tar.gz
Vendor: Bruce Guenter <bruceg@em.ca>
Group: System Environment/Libraries
Buildroot: /var/tmp/libmcrypt-root
Prefix: %{prefix}

%description
The  libmcrypt is a data encryption library. The library is thread safe
and provides encryption and decryption functions. This version of the
library supports many encryption algorithms and encryption modes. Some
algorithms which are supported:
SERPENT, RIJNDAEL, 3DES, GOST, SAFER+, CAST-256, RC2, XTEA, 3WAY,
TWOFISH, BLOWFISH, ARCFOUR, WAKE and more.

%package devel
Summary: Developmet files of the libmcrypt data encryption library.
Group: Development/Libraries
Requires: libmcrypt = %{PACKAGE_VERSION}
Prefix: %{prefix}

%description devel
Header file and static libraries of libmcrypt data encryption library.

%prep
%setup

%build
CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=%{prefix} --disable-posix-threads
make
make check

%install
rm -rf ${RPM_BUILD_ROOT}
make "prefix=${RPM_BUILD_ROOT}%{prefix}" install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
ldconfig

%postun
ldconfig

%files
%defattr(-, root, root, 0755)
%{prefix}/lib/libmcrypt.so.*
%{prefix}/lib/libmcrypt/*.so

%files devel
%defattr(-, root, root, 0755)
%doc doc/README* doc/example.c AUTHORS ChangeLog KNOWN-BUGS NEWS
%doc THANKS README TODO
%{prefix}/lib/libmcrypt.a
%{prefix}/lib/libmcrypt.la
%{prefix}/lib/libmcrypt/*.a
%{prefix}/lib/libmcrypt/*.la
%{prefix}/include/mcrypt.h
%{prefix}/man/man3/mcrypt.3*

%changelog
* Fri May 4 2001 Bruce Guenter <bruceg@em.ca>
- version 2.4.11

* Thu Feb 15 2001 Peter Soos <sp@osb.hu>
- version 2.4.9

* Thu Nov 02 2000 Peter Soos <sp@osb.hu>
- version 2.4.5

* Fri Jun 23 2000 Peter Soos <sp@osb.hu>
- version 2.4.4

* Sun Nov 07 1999 Peter Soos <sp@osb.hu>
- Separate this package from the mcrypt package
